
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Impala Changelog

## Release Impala 2.5.3 - Unreleased (as of 2018-10-20)



### BUG FIXES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [IMPALA-3711](https://issues.apache.org/jira/browse/IMPALA-3711) | Impala should match pattern before check all privileges |  Critical | Frontend | Huaisi Xu | Huaisi Xu |
| [IMPALA-3687](https://issues.apache.org/jira/browse/IMPALA-3687) | Unable to rename string column in schema file in AVRO |  Major | Catalog | Huaisi Xu | Huaisi Xu |


